<?PHP
/*
if(!isset($_SERVER['HTTPS']) || $_SERVER['HTTPS'] == ""){
    $redirect = "https://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
    header("HTTP/1.1 301 Moved Permanently");
    header("Location: $redirect");
}*/
# Счетчик

function TimerSet(){
	list($seconds, $microSeconds) = explode(' ', microtime());
	return $seconds + (float) $microSeconds;
}

$_timer_a = TimerSet();

#откуда пришел
if (!isset($_COOKIE['rsite'])) {
setcookie('rsite', $_SERVER['HTTP_REFERER'], time() + 24 * 3600);
}

# Старт сессии
@session_start();

# Старт буфера
@ob_start();

# Default
$_OPTIMIZATION = array();
$_OPTIMIZATION["title"] = "Дальнобойщик";
$_OPTIMIZATION["description"] = "Захватывающая онлайн игра с выводом реальных денег, которая увлечет всех, кто интересуется финансами и доходами.";
$_OPTIMIZATION["keywords"] = "бонусы, payeer, заработок, без вложений, доход, кран, игра, серфинг, прибыль, вложения, заработать, ферма с выводом, tanksmoney";

# Константа для Include
define("CONST_RUFUS", true);

# Автоподгрузка классов
function __autoload($name){ include("classes/_class.".$name.".php");}

# Класс конфига
$config = new config;

# Функции
$func = new func;

# Установка REFERER
include("components/referer.php");

# База данных
$db = new db($config->HostDB, $config->UserDB, $config->PassDB, $config->BaseDB);

$life_time = new life_time($db);
$life_time->CheckTime();

#считаем переходы по реф ссылке
$refer_id = intval($_GET["ref"]);
$db->Query("UPDATE db_users_a SET ref_s_p = ref_s_p + 1 WHERE id = '$refer_id'");

# Шапка
@include("components/head.php");

		if(isset($_GET["menu"])){

			$menu = strval($_GET["menu"]);

			switch($menu){

				case "404": include("views/_404.php"); break; // Страница ошибки
				case "rules": include("views/_rules.php"); break; // Правила проекта
				case "about": include("views/_about.php"); break; // О проекте
				case "login": include("views/_login.php"); break; // Вход
				case "news": include("views/_news.php"); break; // Новости
				case "contest": include("views/_contest.php"); break; // Конкурсы
				case "signup": include("views/_signup.php"); break; // Регистрация
				case "recovery": include("views/_recovery.php"); break; // Восстановление пароля
				case "helpme": include("views/_helpme.php"); break; // Помошь/Тикет
				case "guaranteed": include("views/_guaranteed.php"); break; // Помошь/Тикет
				case "users": include("views/_users_list.php"); break; // Пользователи
				case "stat": include("views/_stats.php"); break; // Статистика
                                case "reklama": include("views/_reklama.php"); break; // Рекламный раздел
				case "masteruser": include("_admin.php"); break; // Админка

			# Страница ошибки
			default: @include("views/_404.php"); break;

			}

		}else @include("main.php");



# Заносим контент в переменную
$content = ob_get_contents();

# Очищаем буфер
ob_end_clean();

# Заменяем данные
$content = str_replace("{!TITLE!}",$_OPTIMIZATION["title"],$content);
$content = str_replace('{!DESCRIPTION!}',$_OPTIMIZATION["description"],$content);
$content = str_replace('{!KEYWORDS!}',$_OPTIMIZATION["keywords"],$content);
$content = str_replace('{!GEN_PAGE!}', sprintf("%.5f", (TimerSet() - $_timer_a)) ,$content);

# Вывод баланса
	if(isset($_SESSION["user_id"])){

		$user_id = $_SESSION["user_id"];
		$db->Query("SELECT money_b, money_p FROM db_users_b WHERE id = '$user_id'");
		$balance = $db->FetchArray();

		$content = str_replace('{!BALANCE_B!}', sprintf("%.2f", $balance["money_b"]) ,$content);
		$content = str_replace('{!USER_ID!}', $user_id ,$content);
		$content = str_replace('{!BALANCE_P!}', sprintf("%.2f", $balance["money_p"]) ,$content);
	}

// Выводим контент
echo $content;
?>